<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_redis', language 'zh_cn', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_redis
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['database'] = '数据库编号';
$string['database_help'] = '理想情况下，您应该为每个商店指定唯一的数据库号。

不同的安装永远不要共享一个Redis数据库。';
$string['errordatabasenegative'] = '数据库必须为0或正整数。';
$string['password'] = '密码';
$string['password_help'] = '设置Redis服务器的密码。';
$string['pluginname'] = 'Redis';
$string['prefix'] = '按键前缀';
$string['prefix_help'] = '此前缀用于Redis服务器上的所有密钥名称。

* 如果使用此服务器只有一个Totara实例，则可以将此值保留为默认值。
* 由于密钥长度的限制，最多允许五个字符。';
$string['prefixinvalid'] = '无效的前缀。您只能使用AZ AZ 0-9-_。';
$string['read_password'] = '只读副本密码';
$string['read_password_help'] = '这将设置只读副本Redis服务器的密码。';
$string['read_server'] = '只读副本服务器';
$string['read_server_help'] = '如果您的环境中有Redis只读副本，请在此处指定副本负载均衡器地址';
$string['sentinelhosts'] = 'Sentinel 主机';
$string['sentinelhosts_help'] = 'Redis Sentinel是Redis的高可用性解决方案。它提供监视，故障转移并简化配置。

使用逗号分隔的Sentinel列表，格式为“ host1：port，host2：port，host3：port”，不支持unix套接字。指定后，将不使用服务器选项，而将密码选项用于从Sentinel返回的主服务器。';
$string['sentinelmaster'] = 'Sentinel 主名';
$string['sentinelmaster_help'] = 'Redis Sentinel配置中的内部主名称';
$string['sentinelpassword'] = 'Sentinel 密码';
$string['serializer_igbinary'] = '二进制串行器。';
$string['serializer_php'] = '默认的PHP序列化程序。';
$string['server'] = '服务器';
$string['server_help'] = '这将设置要使用的Redis服务器的主机名或IP地址。';
$string['test_database'] = 'Redis测试数据库';
$string['test_database_desc'] = 'Redis测试服务器上的测试数据库编号。';
$string['test_password'] = 'Redis测试服务器密码';
$string['test_password_desc'] = 'Redis测试服务器密码。';
$string['test_read_password'] = 'Redis只读副本密码';
$string['test_read_password_desc'] = 'Redis只读副本密码。';
$string['test_read_server'] = 'Redis只读副本测试服务器';
$string['test_read_server_desc'] = '用于测试的Redis只读副本服务器。';
$string['test_sentinelhosts'] = 'Redis测试Sentinel主机';
$string['test_sentinelhosts_desc'] = '用于MUC测试的Redis Sentinel主机。';
$string['test_sentinelmaster'] = 'Redis测试Sentinel主名称';
$string['test_sentinelmaster_desc'] = '用于MUC测试的Redis Sentinel主名称。';
$string['test_sentinelpassword'] = 'Redis测试Sentinel密码';
$string['test_sentinelpassword_desc'] = '用于MUC测试的Redis Sentinel密码。';
$string['test_serializer'] = '序列化器';
$string['test_serializer_desc'] = '用于测试的序列化器。';
$string['test_server'] = 'Redis测试服务器';
$string['test_server_desc'] = '用于测试的Redis服务器。';
$string['useserializer'] = '使用序列化器';
$string['useserializer_help'] = '指定用于序列化的序列化程序。有效的序列化器是Redis::SERIALIZER_PHP或Redis::SERIALIZER_IGBINARY。仅当使用 --enable-redis-igbinary选项配置phpredis并加载igbinary扩展名时，才支持后者。';
$string['useserializer_warning'] = '如果缓存中已经有任何数据，则不得更改序列化程序。';
