<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_security', language 'zh_cn', branch 'MOODLE_36_STABLE'
 *
 * @package   report_security
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['check_configrw_details'] = '<p>建议在安装完成后将config.php文件权限改为web服务器不可写。
请注意，此度量不会显著提高服务器的安全性，不过它可能减慢或限制一般的攻击。</p>';
$string['check_configrw_name'] = 'config.php文件可改写';
$string['check_configrw_ok'] = 'config.php 无法通过 PHP 脚本编辑。';
$string['check_configrw_warning'] = 'PHP 脚本可以修改 config.php 文件。';
$string['check_cookiehttponly_details'] = '<p>建议启用仅HTTP cookies，用以防止客户端脚本服务器设置的cookies,帮助减轻XSS攻击的风险。<p><p>仅HTTP标志支持所有当代浏览器但请知晓旧版本的浏览器可能不支持此标志因此视为不太安全。<p>';
$string['check_cookiehttponly_error'] = '请启用仅HTTP cookies';
$string['check_cookiehttponly_name'] = '仅HTTP cookies';
$string['check_cookiehttponly_ok'] = '启用仅HTTP cookies';
$string['check_cookiesecure_details'] = '<p>如果您启用了https通信，那么建议您也启用安全cookie。您还应该将 http 永久重定向到https。</p>';
$string['check_cookiesecure_error'] = '请启用安全的 cookie';
$string['check_cookiesecure_name'] = '安全的 cookie';
$string['check_cookiesecure_ok'] = '已启用安全的 cookie。';
$string['check_defaultuserrole_details'] = '<p>所有已登录的用户都会拥有缺省角色的权限。请确信此角色没有危险的权限。</p>
<p>缺省用户对应的旧角色只能是<em>已认证用户</em>。一定不能有查看课程权限。</p>';
$string['check_defaultuserrole_error'] = '默认角色“{$a}”未正确定义！';
$string['check_defaultuserrole_name'] = '所有用户的缺省角色';
$string['check_defaultuserrole_notset'] = '缺省角色未设置。';
$string['check_defaultuserrole_ok'] = '为所有用户定义的缺省角色是正确的。';
$string['check_devgraphql_details'] = '<p>实施新代码时，程序员可以通过在config.php中定义GRAPHQL_DEVELOPMENT_MODE常量来启用基于GraphQL的API的开发模式。出于安全和性能方面的考虑，不得在生产服务器上启用此模式。</p>';
$string['check_devgraphql_error'] = 'GraphQL开发模式处于活动状态';
$string['check_devgraphql_name'] = 'GraphQL开发模式';
$string['check_devgraphql_ok'] = 'GraphQL开发模式已禁用';
$string['check_disableconsistentcleaning_details'] = '<p>不建议打开“禁用持续代码清洁”设置</p><p>开启后，由培训师和其他有权限用户创建的内容将不会对其进行清理。可用于执行安全攻击的HTML标签和属性不会从课程描述，活动介绍和问题等区域中删除。</p>';
$string['check_disableconsistentcleaning_name'] = '禁用持续代码清洁';
$string['check_disableconsistentcleaning_ok'] = '“禁用持续代码清洁”设置已关闭。';
$string['check_disableconsistentcleaning_serious'] = '“禁用持续代码清洁”设置已开启。';
$string['check_displayerrors_details'] = '<p>不建议在正式网站打开PHP设置<code>display_errors</code>，因为错误信息可能会暴露服务器上的一些敏感信息。</p>';
$string['check_displayerrors_error'] = '显示错误信息的PHP设置被打开。建议关闭它。';
$string['check_displayerrors_name'] = '显示 PHP 错误信息';
$string['check_displayerrors_ok'] = '显示 PHP 错误信息已禁用。';
$string['check_emailchangeconfirmation_details'] = '<p>建议用户在个人资料中修改email地址后，必须做email确认。如果禁用，可能会有人通过发送垃圾信息来攻击服务器。</p>
<p>认证插件中可能已经锁定了email域，这一步在这里没有考虑。</p>';
$string['check_emailchangeconfirmation_error'] = '用户可以使用任意 Email 地址。';
$string['check_emailchangeconfirmation_info'] = '用户仅能使用特定域名的 Email 地址。';
$string['check_emailchangeconfirmation_name'] = 'Email 修改确认';
$string['check_emailchangeconfirmation_ok'] = '修改用户信息中的 Email 时需确认。';
$string['check_frontpagerole_details'] = '<p>默认的首页角色是所有注册用户在参与首页活动时所使用的角色。请确保该角色未被赋予危险的权限。</p>
<p>强烈建议为此创建一个新的角色且不要给它赋予任何传统角色。</p>';
$string['check_frontpagerole_error'] = '检测到未正确定义的首页角色“{$a}”！';
$string['check_frontpagerole_name'] = '首页角色';
$string['check_frontpagerole_notset'] = '未设置首页角色。';
$string['check_frontpagerole_ok'] = '首页角色定义正确。';
$string['check_google_details'] = '<p>向Google开放后，搜索引擎就可以以访客身份进入课程。如果不允许访客访问的话，那么打开这个设置也没有意义。</p>';
$string['check_google_error'] = '搜索引擎可以访问，但访客不能访问。';
$string['check_google_info'] = '搜索引擎可以作为访客进入。';
$string['check_google_name'] = '对谷歌开放';
$string['check_google_ok'] = '不允许搜索引擎访问';
$string['check_guest_details'] = '<p>建议阻止无用户账户的登录。请考虑禁用“访客登录按钮”设置。<p>';
$string['check_guest_name'] = '访客访问';
$string['check_guest_ok'] = '用户必须使用他们的账户登录。';
$string['check_guestrole_details'] = '<p>访客角色由访客、未登录用户和临时访问课程的访客使用。请确认此角色没有危险的权限。</p>
<p>访客用户对应的旧角色只能是<em>访客</em>。</p>';
$string['check_guestrole_error'] = '访客角色“{$a}”定义错误！';
$string['check_guestrole_name'] = '访客角色';
$string['check_guestrole_notset'] = '未设定访客角色。';
$string['check_guestrole_ok'] = '访客角色定义正确。';
$string['check_guest_warning'] = '用户可以作为访客无需密码访问这个服务器。';
$string['check_https_details'] = '<p>HTTP协议容易开发,强烈建议在所有生产服务器上使用HTTPS协议。</p>';
$string['check_https_name'] = 'HTTPS协议';
$string['check_https_ok'] = 'HTTPS协议被使用';
$string['check_https_warning'] = 'HTTPS协议未被使用';
$string['check_logincsrf_details'] = '<p>强烈建议在所有生产站点上都启用CSRF保护。但是，它与旧版本中使用的备用登录页面不兼容，并且可能会干扰某些自定义身份验证插件。有关更多详细信息，请参见config.example.php。</p>';
$string['check_logincsrf_error'] = '在登录页面上禁用了CSRF保护';
$string['check_logincsrf_name'] = '登录页面上的CSRF保护';
$string['check_logincsrf_ok'] = 'CSRF保护在登录页面上处于活动状态';
$string['check_noauth_details'] = '<p><em>不认证身份</em>插件不是给正式网站设计的。除非这是一个开发测试网站，否则请禁用它。</p>';
$string['check_noauth_error'] = '不认证身份插件不能在正式网站使用。';
$string['check_noauth_name'] = '不认证身份';
$string['check_noauth_ok'] = '不认证身份插件已禁用。';
$string['check_nodemodules_details'] = '<p>目录<em>{$a->path}</em>包含通常由NPM实用程序安装的Node.js模块及其依赖项。这些模块可能是Totara开发所必需的。它们不需要运行Totara站点，并且可以包含潜在的危险代码，使您的站点遭受远程攻击。</p><p>如果可以通过公共URL访问该站点，则强烈建议删除该目录，或者至少禁止对其进行Web访问。</p>';
$string['check_nodemodules_info'] = '公共站点上不应存在node_modules目录。';
$string['check_nodemodules_name'] = 'Node.js模块目录';
$string['check_oauth2verify_detailed'] = '<p>建议通过在OAuth 2发行者配置页面上启用<code>Require email verification</code> ，将所有OAuth 2提供程序配置为强制执行用户电子邮件帐户验证。</p><p>通过OAuth 2提供程序登录时，用户可能会破坏具有相同电子邮件地址的另一个用户的Totara帐户。当OAuth 2发行者或Totara站点两者或其中之一允许用户共享电子邮件地址时，就存在风险。</p>';
$string['check_oauth2verify_info_oauth2'] = '至少一个OAuth 2发行者未配置为验证用户电子邮件地址';
$string['check_oauth2verify_info_ok'] = 'OAuth 2发行者和Totara网站已配置为不允许用户之间共享电子邮件地址。';
$string['check_oauth2verify_info_totara'] = 'Totara配置当前允许用户共享电子邮件地址。';
$string['check_oauth2verify_info_totara_oauth2'] = 'Totara配置当前允许用户共享电子邮件地址。此外，未配置至少一个OAuth 2颁发者来验证用户电子邮件地址。';
$string['check_oauth2verify_name'] = 'OAuth 2电子邮件验证';
$string['check_openprofiles_details'] = '<p>开放用户个人信息可能会被不良用户滥用。建议启用<code>强制用户登录后才能访问个人资料</code>或者<code>强制用户登录</code>。</p>';
$string['check_openprofiles_error'] = '任何人无须登录就可以查看用户的个人信息。';
$string['check_openprofiles_name'] = '开放用户个人信息';
$string['check_openprofiles_ok'] = '在查看用户个人信息前需登录。';
$string['check_passwordpolicy_details'] = '<p>建议您设定一个密码策略，因为猜测密码是最常见的非法入侵方法。同时您也不要把密码策略设定的太苛刻，这会导致用户无法记住他们的密码以至于忘记密码或把密码写下来。</p>';
$string['check_passwordpolicy_error'] = '密码策略未设置。';
$string['check_passwordpolicy_name'] = '密码策略';
$string['check_passwordpolicy_ok'] = '密码策略已激活。';
$string['check_persistentlogin_details'] = '<p>如果启用，则永久登录将忽略标准会话超时并设置永久浏览器cookie。此Cookie稍后将用于在浏览器重启或会话超时后自动重新登录用户。</p>';
$string['check_persistentlogin_name'] = '永久登录';
$string['check_persistentlogin_ok'] = '永久登录被禁用。';
$string['check_persistentlogin_warning'] = '永久登录可能会被视为安全风险。';
$string['check_preventexecpath_details'] = '<p>允许通过Admin GUI设置可执行路径是权限提升的一个载体。</p>';
$string['check_preventexecpath_name'] = '可执行路径';
$string['check_preventexecpath_ok'] = '可执行路径只能在config.php中设置。';
$string['check_preventexecpath_warning'] = '可执行路径可以在管理GUI中设置。';
$string['check_repositoryurl_details'] = '<p>启用URL下载器允许外部用户方位您内网中的URL。如果您有用户被允许访问您的LMS但是不被允许访问其他您内网中可以从LMS服务器访问的资源，请不要启用这项功能。</p>';
$string['check_repositoryurl_name'] = 'URL下载器库存';
$string['check_repositoryurl_ok'] = 'URL下载器库存被禁用';
$string['check_repositoryurl_warning'] = 'URL下载器库存启用';
$string['check_resourcesallowpdfembedding_details'] = '<p>用户可以将不受信任的PDF文件作为文件资源上传。</p><p>建议禁用“允许PDF嵌入”设置。</p>';
$string['check_resourcesallowpdfembedding_name'] = '在课程资源中嵌入PDF文件';
$string['check_resourcesallowpdfembedding_ok'] = '上传的PDF文件不会在浏览器中直接打开。';
$string['check_resourcesallowpdfembedding_warning'] = '上传的PDF文件可以直接在浏览器中打开。';
$string['check_resourcesallowxss_details'] = '<p>必须是完全信任的用户才可以添加或更新课程资源，因为他们可能使用以下资源类型中的不安全标记和文件：{$a}</p><p>建议禁用所有“允许不安全的标记代码和文件”设置。</p>';
$string['check_resourcesallowxss_name'] = '课程资源中的不安全标记代码和文件';
$string['check_resourcesallowxss_ok'] = '所有“允许不安全的标记代码和文件”资源设置都被禁用。';
$string['check_resourcesallowxss_warning'] = '用户编辑课程资源可能会使用不安全的标记代码和文件。';
$string['check_riskadmin_detailsok'] = '<p>请确认下列人员为系统管理员：</p>{$a}';
$string['check_riskadmin_detailswarning'] = '<p>请确认下列系统管理员：</p>{$a->admins}
<p>建议只在系统场景下分配管理员角色。下列用户在其它场景中被分配了管理员角色（不支持）：</p>{$a->unsupported}';
$string['check_riskadmin_name'] = '管理员';
$string['check_riskadmin_ok'] = '找到了 {$a} 个服务器管理员。';
$string['check_riskadmin_unassign'] = '<a href="{$a->url}">{$a->fullname} （{$a->email}）评估角色分配</a>';
$string['check_riskadmin_warning'] = '找到 {$a->admincount} 个服务器管理员和 {$a->unsupcount} 个不支持的管理员角色分配。';
$string['check_riskallowxss_details'] = '<p>RISK_ALLOWXSS表示只有受信任的用户才能使用的所有危险功能。</p><p>请验证以下用户列表，并确保您完全信任此服务器上的用户：</p><p> {$a}</p>';
$string['check_riskallowxss_name'] = 'XSS受信任的用户';
$string['check_riskallowxss_warning'] = 'RISK_ALLOWXSS-找到了必须信任的{$a}个用户。';
$string['check_riskbackup_detailsok'] = '没有被明确允许备份用户数据的角色。但是，请注意，有“doanything”权限的管理员仍然可以这么做。';
$string['check_riskbackup_details_overriddenroles'] = '<p>这些有效的角色覆盖使用户获得在备份中包含其它用户数据的权限。请确认此权限是必须的。</p> {$a}';
$string['check_riskbackup_details_systemroles'] = '<p>下列系统角色有在备份中包含用户数据的权限。请确认此权限是必须的。</p> {$a}';
$string['check_riskbackup_details_users'] = '<p>因为上面的角色或局部覆盖，下列用户现在可以在备份中包含选修他们课程的所有用户的隐私数据。请确认他们是可信任的，且他们的密码足够强壮：</p> {$a}';
$string['check_riskbackup_editoverride'] = '<a href="{$a->url}">{$a->name}在{$a->contextname}</a>';
$string['check_riskbackup_editrole'] = '<a href="{$a->url}">{$a->name}</a>';
$string['check_riskbackup_name'] = '备份用户数据';
$string['check_riskbackup_ok'] = '没有被明确允许备份用户数据的角色';
$string['check_riskbackup_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email})在{$a->contextname}</a>';
$string['check_riskbackup_warning'] = '找到 {$a->rolecount} 个角色、{$a->overridecount}个覆盖和 {$a->usercount} 个用户有备份用户数据的权限。';
$string['check_riskxss_details'] = '<p>有 RISK_XSS 标记的权限是危险的权限，只能允许可信任的用户使用。</p>
<p>请确认下面的用户列表，确认此服务器完全信任他们：</p><p>{$a}</p>';
$string['check_riskxss_name'] = 'XSS 信任用户';
$string['check_riskxss_warning'] = 'RISK_XSS——发现 {$a} 个必须被信任的用户。';
$string['check_scormsessionkeepalive_details'] = '<p>如果启用，则用户会话在SCORM播放器中保持活动状态。</p>';
$string['check_scormsessionkeepalive_name'] = 'SCORM会话保持活跃';
$string['check_scormsessionkeepalive_ok'] = '在SCORM播放器中强制执行标准会话超时。';
$string['check_scormsessionkeepalive_warning'] = '在SCORM Player中使用户会话保持活动状态可能被认为是一个小的安全问题。';
$string['check_unsecuredataroot_details'] = '<p>dataroot 目录必须不能通过 web 访问。使此目录不可访问的最好方法是使用在公开 web 目录之外的目录。</p>
<p>如果您移动此目录，您需要相应地更新 <code>config.php</code> 中的 <code>$CFG->dataroot</code> 设置。</p>';
$string['check_unsecuredataroot_error'] = '您的数据目录 <code>{$a}</code> 位置错误，它可以直接通过 Web 访问！';
$string['check_unsecuredataroot_name'] = '不安全的数据目录';
$string['check_unsecuredataroot_ok'] = '数据目录不能通过 Web 直接访问。';
$string['check_unsecuredataroot_warning'] = '您的数据目录 <code>{$a}</code> 位置错误，可以从 Web 直接访问。';
$string['check_usernameenumeration_details'] = '<p>当用户的凭据不正确时，Totara会谨慎地说明其原因，以免让用户知道用户名或密码是否不正确。这意味着攻击者必须猜测用户名和密码。</p><p>启用“自我注册”功能后，攻击者可以使用注册表单枚举用户名并确定有效的用户名。一旦确定了有效的用户名，他们只需要猜测密码即可。<br />为防止这种情况，请关闭“自我注册”。</p><p>禁用保护用户名后，攻击者可以使用被忘记的密码表单枚举用户名并确定有效的用户名。一旦确定了有效的用户名，他们只需要猜测密码即可。<br />为防止这种情况，请启用保护用户名。</p>';
$string['check_usernameenumeration_name'] = '用户名列举';
$string['check_usernameenumeration_ok'] = '保护用户名已启用，自注册未启用。';
$string['check_usernameenumeration_warning'] = '开启自注册或关不保护用户名，未授权的用户可以猜测现存用户名。';
$string['check_webcron_details'] = '<p>从网页浏览器运行cron可以对匿名用户公开特权信息。建议只从命令行运行cron或设置远程访问cron密码。</p>';
$string['check_webcron_name'] = '网络cron';
$string['check_webcron_ok'] = '匿名用户不能访问cron';
$string['check_webcron_warning'] = '匿名永虎可以访问cron';
$string['check_xxe_risk_critical'] = '默认情况下，外部实体会加载到XML中。';
$string['check_xxe_risk_details'] = '默认情况下，某些版本的LibXML和PHP可能会将外部实体加载到XML中，这意味着恶意用户可以获取本地文件的内容。确保您使用的是LibXML和PHP的最新版本，以帮助防止此漏洞。';
$string['check_xxe_risk_name'] = 'XXE风险';
$string['check_xxe_risk_ok'] = '默认情况下，外部实体不会加载到XML中。';
$string['configuration'] = '配置';
$string['description'] = '描述';
$string['details'] = '详细';
$string['issue'] = '问题';
$string['pluginname'] = '安全性概览';
$string['security:view'] = '查看安全报表';
$string['status'] = '状态';
$string['statuscritical'] = '危险';
$string['statusinfo'] = '信息';
$string['statusok'] = '正常';
$string['statusserious'] = '严重';
$string['statuswarning'] = '警告';
$string['timewarning'] = '处理数据可能会需要很长时间，请耐心等待...';
